
-- Create buttons for arcade layout
function touchControls:createArcadeButtons()
  -- Clear existing buttons
  self.buttons = {}

  -- Create buttons around the left thumbstick
  
  local buttonPositions = {
    {x = love.graphics.getWidth() /0.6, y = self.leftThumbstickY/ 1.1},
    {x = love.graphics.getWidth() /0.8, y = self.leftThumbstickY/ 1},
    --{x = love.graphics.getWidth() - 100, y = self.leftThumbstickY},
    --{x = love.graphics.getWidth() - 200, y = self.leftThumbstickY+100},
  }

  for _, position in ipairs(buttonPositions) do
    table.insert(self.buttons, {x = position.x, y = position.y, pressed = false})
  end
  
  -- Remove any existing buttons associated with the right thumbstick
  self:removeRightThumbstickButtons()
end
